import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/interactiveCommunication/icPublicOpinionCollect/` + url, ...arg)
export default {
	// 列表
	collectPage(data) {
		return request('page', data, 'get')
	},
	//add
	collectAdd(data) {
		return request('add', data, 'post')
	},
	//edit
	collectEdit(data) {
		return request('edit', data, 'post')
	},
	//详情
	collectDetail(data) {
		return request('detail', data, 'get')
	},
	// 通过/不通过
	auditData(data) {
		return request('auditStatus', data, 'post')
	},

	//禁用启用
	collectDisable(data) {
		return request('enableAndDisable', data, 'post')
	},
	// 征集部门下拉框
	collectIoDepartment(data) {
		return request('getIoDepartmentFunction', data, 'get')
	}
}
